function Validar_1() {
    var User_1 = Form_1.User_1.value;
    var Senha = Form_1.Senha.value;
    if (User_1 == "") {
        alert('Preencha o campo com seu Nome');
        Form_1.User_1.focus();
        return false;
    }
    if (Senha == "") {
        alert('Informe sua Senha');
        Form_1.Senha.focus();
        return false;
    }
}

function Validar_2() {
    var Matricula = Form_2.Matricula.value;
    var Mail = Form_2.Mail.value;
    var Senha_2 = Form_2.Senha_2.value;
    if (Matricula == "") {
        alert('Preencha o campo com sua Matricula');
        Form_2.Matricula.focus();
        return false;
    }
    if (Mail == "") {
        alert('Informe seu E-Mail');
        Form_2.Mail.focus();
        return false;
    }
    if (Senha_2 == "") {
        alert('Informe seu Senha_2');
        Form_2.Senha_2.focus();
        return false;
    }


}


function ValidarAtendimento() {

    var EleDest = document.getElementById("ID_Destino");
    var item_Destino = EleDest.options[EleDest.selectedIndex].value;
    var EleTipAte = document.getElementById("ID_Tip_Ate");
    var item_Tipo_Ate = EleTipAte.options[EleTipAte.selectedIndex].value;
    var Usuario = FormAte.Usuario.value;
    var email = FormAte.email.value;
    var Matricula = FormAte.Matricula.value;
    var CPF = FormAte.CPF.value;
    var descricao = FormAte.descricao.value;
    var file = FormAte.AnexoAbert.value;

    if (item_Destino == 0) {
        alert('Informe o destino do atendimento');
        FormAte.ID_Destino.focus();
        return false;
    }

    if (item_Tipo_Ate == 0) {
        alert('Informe o tipo de atendimento');
        FormAte.ID_Tip_Ate.focus();
        return false;
    }

    if (Usuario == "") {
        alert('Informe o usuário ao qual o atendimento se destina');
        FormAte.Usuario.focus();
        return false;
    }

    if (email == "") {
        alert('Informe o E-Mail do do usuário');
        FormAte.email.focus();
        return false;
    }

    if (Matricula == "") {
        alert('Informe o Numero de Matricula');
        FormAte.Matricula.focus();
        return false;
    }

    if (CPF == "") {
        alert('Informe o CPF do usuário');
        FormAte.CPF.focus();
        return false;
    }

    if (descricao == "") {
        alert('É necessario descrver seu problema');
        FormAte.descricao.focus();
        return false;
    }
    if (file != "") {
        extensoes_permitidas = new Array(".gif", ".jpg", ".doc", ".docx", ".pdf",".xls");
        extensao = (file.substring(file.lastIndexOf("."))).toLowerCase();
        permitida = false;
        for (var i = 0; i < extensoes_permitidas.length; i++) {
            if (extensoes_permitidas[i] == extensao) {
                permitida = true;
                break;
            }
        }
        if (!permitida) {
            alert('Tipo de Arquivo não permitido');
            FormAte.file.focus();
            return false;
        }
    }


    if (item_Destino != 0 && item_Tipo_Ate != 0 && Usuario != "" && email != "" && Matricula != "" && CPF != "" && descricao != "") {
        document.forms["FormAte"].action = "Funcoes.php?Function=4";
        document.forms['FormAte'].submit();
    }


}

function validarConfRela() {
    var Origem = FormConfRel.PadDir.value;
    var Destino = FormConfRel.TempDir.value;
    var Arquivo = FormConfRel.Arquivo.value;

    if (Origem == 0) {
        alert('Informe o diretorio padrão dos arquivos jasper');
        FormConfRel.PadDir.focus();
        return false;
    }

    if (Destino == 0) {
        alert('Informe o diretorio temposratio para armazenamento o arquivo PDF');
        FormConfRel.TempDir.focus();
        return false;
    }

    if (Arquivo == 0) {
        alert('Informe o nome do arquivo PDF');
        FormConfRel.Arquivo.focus();
        return false;
    }

    if (Origem != "" && Destino != "" && Arquivo != "") {
        document.forms["FormConfRel"].action = "Funcoes.php?Function=9";
        document.forms['FormConfRel'].submit();
    }
}







function mascaraMutuario(o, f) {
    v_obj = o
    v_fun = f
    setTimeout('execmascara()', 1)
}

function execmascara() {
    v_obj.value = v_fun(v_obj.value)
}


function validarRelatorio() {
    var Descri = cadRel.DescRel.value;
    var URL_Banco = cadRel.URL_BD.value;
    var User = cadRel.Usuario.value;
    var senha = cadRel.pass.value;
    var arquivo = cadRel.file.value;
    var destino = document.getElementById("ID_Destino");
    var itenDestino = ID_Destino.options[ID_Destino.selectedIndex].value;



    if (Descri == "") {
        alert('É necessário inserir uma descrição ao relatório.');
        cadRel.DescRel.focus();
        return false;
    }
    if (URL_Banco == "") {
        alert('Informe a URL do banco de dados ao qual o relatório irá consultar.');
        cadRel.URL_BD.focus();
        return false;
    }
    if (User == "") {
        alert('É necessário informar um usuário do banco de dados que possua permissão de leitura.');
        cadRel.Usuario.focus();
        return false;
    }
    if (senha == "") {
        alert('É necessário informar uma senha valida no banco de dados.');
        cadRel.pass.focus();
        return false;
    }

    if (itenDestino == 0) {
        alert('Por favor informe qual modulo irá receber este relatorio.');
        cadRel.ID_Destino.focus();
        return false;
    }
    if (arquivo == "") {
        alert('É necessário o diretorio contendo o arquivo Jasper.');
        cadRel.file.focus();
        return false;
    }
}


function Atualizar_Relatorio() {
    var Descri = cadRel.DescRel.value;
    var URL_Banco = cadRel.URL_BD.value;
    var User = cadRel.Usuario.value;
    var senha = cadRel.pass.value;
    var arquivo = cadRel.file.value;
    var destino = document.getElementById("ID_Destino");
    var itenDestino = ID_Destino.options[ID_Destino.selectedIndex].value;



    if (Descri == "") {
        alert('É necessário inserir uma descrição ao relatório.');
        cadRel.DescRel.focus();
        return false;
    }
    if (URL_Banco == "") {
        alert('Informe a URL do banco de dados ao qual o relatório irá consultar.');
        cadRel.URL_BD.focus();
        return false;
    }
    if (User == "") {
        alert('É necessário informar um usuário do banco de dados que possua permissão de leitura.');
        cadRel.Usuario.focus();
        return false;
    }
    if (senha == "") {
        alert('É necessário informar uma senha valida no banco de dados.');
        cadRel.pass.focus();
        return false;
    }

    if (itenDestino == 0) {
        alert('Por favor informe qual modulo irá receber este relatorio.');
        cadRel.ID_Destino.focus();
        return false;
    }
    if (arquivo == "") {
        return false;
    }
}







